pragma Warnings (Off);
pragma Ada_95;
pragma Source_File_Name (gnatcoll_sqlitemain, Spec_File_Name => "b__gnatcoll_sqlite.ads");
pragma Source_File_Name (gnatcoll_sqlitemain, Body_File_Name => "b__gnatcoll_sqlite.adb");
pragma Suppress (Overflow_Check);

with System.Restrictions;
with Ada.Exceptions;

package body gnatcoll_sqlitemain is

   E023 : Short_Integer; pragma Import (Ada, E023, "ada__exceptions_E");
   E019 : Short_Integer; pragma Import (Ada, E019, "system__soft_links_E");
   E017 : Short_Integer; pragma Import (Ada, E017, "system__exception_table_E");
   E027 : Short_Integer; pragma Import (Ada, E027, "system__exceptions_E");
   E057 : Short_Integer; pragma Import (Ada, E057, "system__soft_links__initialize_E");
   E135 : Short_Integer; pragma Import (Ada, E135, "ada__containers_E");
   E068 : Short_Integer; pragma Import (Ada, E068, "ada__io_exceptions_E");
   E324 : Short_Integer; pragma Import (Ada, E324, "ada__numerics_E");
   E014 : Short_Integer; pragma Import (Ada, E014, "ada__strings_E");
   E088 : Short_Integer; pragma Import (Ada, E088, "ada__strings__utf_encoding_E");
   E113 : Short_Integer; pragma Import (Ada, E113, "gnat_E");
   E117 : Short_Integer; pragma Import (Ada, E117, "interfaces__c_E");
   E187 : Short_Integer; pragma Import (Ada, E187, "interfaces__c__strings_E");
   E174 : Short_Integer; pragma Import (Ada, E174, "system__os_lib_E");
   E244 : Short_Integer; pragma Import (Ada, E244, "system__task_info_E");
   E070 : Short_Integer; pragma Import (Ada, E070, "ada__tags_E");
   E067 : Short_Integer; pragma Import (Ada, E067, "ada__streams_E");
   E086 : Short_Integer; pragma Import (Ada, E086, "ada__strings__text_output_E");
   E175 : Short_Integer; pragma Import (Ada, E175, "system__file_control_block_E");
   E101 : Short_Integer; pragma Import (Ada, E101, "system__finalization_root_E");
   E099 : Short_Integer; pragma Import (Ada, E099, "ada__finalization_E");
   E172 : Short_Integer; pragma Import (Ada, E172, "system__file_io_E");
   E152 : Short_Integer; pragma Import (Ada, E152, "system__storage_pools_E");
   E154 : Short_Integer; pragma Import (Ada, E154, "system__finalization_masters_E");
   E202 : Short_Integer; pragma Import (Ada, E202, "system__storage_pools__subpools_E");
   E120 : Short_Integer; pragma Import (Ada, E120, "ada__calendar_E");
   E210 : Short_Integer; pragma Import (Ada, E210, "ada__calendar__delays_E");
   E126 : Short_Integer; pragma Import (Ada, E126, "ada__calendar__time_zones_E");
   E168 : Short_Integer; pragma Import (Ada, E168, "ada__text_io_E");
   E115 : Short_Integer; pragma Import (Ada, E115, "gnat__calendar_E");
   E318 : Short_Integer; pragma Import (Ada, E318, "system__assertions_E");
   E061 : Short_Integer; pragma Import (Ada, E061, "ada__strings__maps_E");
   E065 : Short_Integer; pragma Import (Ada, E065, "ada__strings__maps__constants_E");
   E085 : Short_Integer; pragma Import (Ada, E085, "ada__strings__unbounded_E");
   E197 : Short_Integer; pragma Import (Ada, E197, "system__regpat_E");
   E238 : Short_Integer; pragma Import (Ada, E238, "system__task_primitives__operations_E");
   E166 : Short_Integer; pragma Import (Ada, E166, "gnat__calendar__time_io_E");
   E335 : Short_Integer; pragma Import (Ada, E335, "gnat__directory_operations_E");
   E308 : Short_Integer; pragma Import (Ada, E308, "system__checked_pools_E");
   E299 : Short_Integer; pragma Import (Ada, E299, "gnat__debug_pools_E");
   E160 : Short_Integer; pragma Import (Ada, E160, "system__pool_global_E");
   E192 : Short_Integer; pragma Import (Ada, E192, "gnat__expect_E");
   E150 : Short_Integer; pragma Import (Ada, E150, "system__pool_size_E");
   E359 : Short_Integer; pragma Import (Ada, E359, "system__random_seed_E");
   E346 : Short_Integer; pragma Import (Ada, E346, "system__regexp_E");
   E339 : Short_Integer; pragma Import (Ada, E339, "ada__directories_E");
   E260 : Short_Integer; pragma Import (Ada, E260, "system__tasking__initialization_E");
   E270 : Short_Integer; pragma Import (Ada, E270, "system__tasking__protected_objects_E");
   E272 : Short_Integer; pragma Import (Ada, E272, "system__tasking__protected_objects__entries_E");
   E268 : Short_Integer; pragma Import (Ada, E268, "system__tasking__queuing_E");
   E140 : Short_Integer; pragma Import (Ada, E140, "gnatcoll__atomic_E");
   E297 : Short_Integer; pragma Import (Ada, E297, "gnatcoll__memory_E");
   E228 : Short_Integer; pragma Import (Ada, E228, "gnatcoll__plugins_E");
   E144 : Short_Integer; pragma Import (Ada, E144, "gnatcoll__storage_pools__headers_E");
   E142 : Short_Integer; pragma Import (Ada, E142, "gnatcoll__refcount_E");
   E190 : Short_Integer; pragma Import (Ada, E190, "gnatcoll__string_builders_E");
   E291 : Short_Integer; pragma Import (Ada, E291, "gnatcoll__strings_impl_E");
   E289 : Short_Integer; pragma Import (Ada, E289, "gnatcoll__strings_E");
   E288 : Short_Integer; pragma Import (Ada, E288, "gnatcoll__strings_E");
   E310 : Short_Integer; pragma Import (Ada, E310, "gnatcoll__mmap_E");
   E312 : Short_Integer; pragma Import (Ada, E312, "gnatcoll__mmap__system_E");
   E314 : Short_Integer; pragma Import (Ada, E314, "gnatcoll__templates_E");
   E316 : Short_Integer; pragma Import (Ada, E316, "gnatcoll__terminal_E");
   E181 : Short_Integer; pragma Import (Ada, E181, "gnatcoll__utils_E");
   E162 : Short_Integer; pragma Import (Ada, E162, "gnatcoll__sql_impl_E");
   E134 : Short_Integer; pragma Import (Ada, E134, "gnatcoll__sql_E");
   E330 : Short_Integer; pragma Import (Ada, E330, "gnatcoll__io_E");
   E348 : Short_Integer; pragma Import (Ada, E348, "gnatcoll__path_E");
   E337 : Short_Integer; pragma Import (Ada, E337, "gnatcoll__io__native_E");
   E351 : Short_Integer; pragma Import (Ada, E351, "gnatcoll__remote_E");
   E355 : Short_Integer; pragma Import (Ada, E355, "gnatcoll__remote__db_E");
   E333 : Short_Integer; pragma Import (Ada, E333, "gnatcoll__io__remote_E");
   E350 : Short_Integer; pragma Import (Ada, E350, "gnatcoll__io__remote__unix_E");
   E353 : Short_Integer; pragma Import (Ada, E353, "gnatcoll__io__remote__windows_E");
   E323 : Short_Integer; pragma Import (Ada, E323, "gnatcoll__vfs_E");
   E293 : Short_Integer; pragma Import (Ada, E293, "gnatcoll__traces_E");
   E224 : Short_Integer; pragma Import (Ada, E224, "gnatcoll__sql__exec_E");
   E230 : Short_Integer; pragma Import (Ada, E230, "gnatcoll__sql__exec__tasking_E");
   E276 : Short_Integer; pragma Import (Ada, E276, "gnatcoll__sql__exec_private_E");
   E006 : Short_Integer; pragma Import (Ada, E006, "gnatcoll__sql__sqlite_E");
   E002 : Short_Integer; pragma Import (Ada, E002, "gnatcoll__sql__sqlite__builder_E");
   E004 : Short_Integer; pragma Import (Ada, E004, "gnatcoll__sql__sqlite__gnade_E");

   Sec_Default_Sized_Stacks : array (1 .. 1) of aliased System.Secondary_Stack.SS_Stack (System.Parameters.Runtime_Default_Sec_Stack_Size);

   Local_Priority_Specific_Dispatching : constant String := "";
   Local_Interrupt_States : constant String := "";

   Is_Elaborated : Boolean := False;

   procedure finalize_library is
   begin
      declare
         procedure F1;
         pragma Import (Ada, F1, "gnatcoll__sql__sqlite__builder__finalize_body");
      begin
         E002 := E002 - 1;
         if E002 = 0 then
            F1;
         end if;
      end;
      declare
         procedure F2;
         pragma Import (Ada, F2, "gnatcoll__sql__sqlite__finalize_body");
      begin
         E006 := E006 - 1;
         if E006 = 0 then
            F2;
         end if;
      end;
      declare
         procedure F3;
         pragma Import (Ada, F3, "gnatcoll__sql__sqlite__finalize_spec");
      begin
         if E006 = 0 then
            F3;
         end if;
      end;
      declare
         procedure F4;
         pragma Import (Ada, F4, "gnatcoll__sql__exec__tasking__finalize_body");
      begin
         E230 := E230 - 1;
         if E230 = 0 then
            F4;
         end if;
      end;
      declare
         procedure F5;
         pragma Import (Ada, F5, "gnatcoll__sql__exec__finalize_body");
      begin
         E224 := E224 - 1;
         if E224 = 0 then
            F5;
         end if;
      end;
      declare
         procedure F6;
         pragma Import (Ada, F6, "gnatcoll__sql__exec__finalize_spec");
      begin
         if E224 = 0 then
            F6;
         end if;
      end;
      declare
         procedure F7;
         pragma Import (Ada, F7, "gnatcoll__traces__finalize_body");
      begin
         E293 := E293 - 1;
         if E293 = 0 then
            F7;
         end if;
      end;
      declare
         procedure F8;
         pragma Import (Ada, F8, "gnatcoll__traces__finalize_spec");
      begin
         if E293 = 0 then
            F8;
         end if;
      end;
      E323 := E323 - 1;
      declare
         procedure F9;
         pragma Import (Ada, F9, "gnatcoll__vfs__finalize_spec");
      begin
         if E323 = 0 then
            F9;
         end if;
      end;
      E333 := E333 - 1;
      declare
         procedure F10;
         pragma Import (Ada, F10, "gnatcoll__io__remote__finalize_spec");
      begin
         if E333 = 0 then
            F10;
         end if;
      end;
      declare
         procedure F11;
         pragma Import (Ada, F11, "gnatcoll__remote__finalize_spec");
      begin
         E351 := E351 - 1;
         if E351 = 0 then
            F11;
         end if;
      end;
      E337 := E337 - 1;
      declare
         procedure F12;
         pragma Import (Ada, F12, "gnatcoll__io__native__finalize_spec");
      begin
         if E337 = 0 then
            F12;
         end if;
      end;
      E330 := E330 - 1;
      declare
         procedure F13;
         pragma Import (Ada, F13, "gnatcoll__io__finalize_spec");
      begin
         if E330 = 0 then
            F13;
         end if;
      end;
      declare
         procedure F14;
         pragma Import (Ada, F14, "gnatcoll__sql__finalize_body");
      begin
         E134 := E134 - 1;
         if E134 = 0 then
            F14;
         end if;
      end;
      declare
         procedure F15;
         pragma Import (Ada, F15, "gnatcoll__sql__finalize_spec");
      begin
         if E134 = 0 then
            F15;
         end if;
      end;
      declare
         procedure F16;
         pragma Import (Ada, F16, "gnatcoll__sql_impl__finalize_body");
      begin
         E162 := E162 - 1;
         if E162 = 0 then
            F16;
         end if;
      end;
      declare
         procedure F17;
         pragma Import (Ada, F17, "gnatcoll__sql_impl__finalize_spec");
      begin
         if E162 = 0 then
            F17;
         end if;
      end;
      E316 := E316 - 1;
      declare
         procedure F18;
         pragma Import (Ada, F18, "gnatcoll__terminal__finalize_spec");
      begin
         if E316 = 0 then
            F18;
         end if;
      end;
      E142 := E142 - 1;
      declare
         procedure F19;
         pragma Import (Ada, F19, "gnatcoll__refcount__finalize_spec");
      begin
         if E142 = 0 then
            F19;
         end if;
      end;
      declare
         procedure F20;
         pragma Import (Ada, F20, "gnatcoll__memory__finalize_body");
      begin
         E297 := E297 - 1;
         if E297 = 0 then
            F20;
         end if;
      end;
      E272 := E272 - 1;
      declare
         procedure F21;
         pragma Import (Ada, F21, "system__tasking__protected_objects__entries__finalize_spec");
      begin
         if E272 = 0 then
            F21;
         end if;
      end;
      E339 := E339 - 1;
      declare
         procedure F22;
         pragma Import (Ada, F22, "ada__directories__finalize_spec");
      begin
         if E339 = 0 then
            F22;
         end if;
      end;
      E346 := E346 - 1;
      declare
         procedure F23;
         pragma Import (Ada, F23, "system__regexp__finalize_spec");
      begin
         if E346 = 0 then
            F23;
         end if;
      end;
      E150 := E150 - 1;
      declare
         procedure F24;
         pragma Import (Ada, F24, "system__pool_size__finalize_spec");
      begin
         if E150 = 0 then
            F24;
         end if;
      end;
      E192 := E192 - 1;
      declare
         procedure F25;
         pragma Import (Ada, F25, "gnat__expect__finalize_spec");
      begin
         if E192 = 0 then
            F25;
         end if;
      end;
      E160 := E160 - 1;
      declare
         procedure F26;
         pragma Import (Ada, F26, "system__pool_global__finalize_spec");
      begin
         if E160 = 0 then
            F26;
         end if;
      end;
      declare
         procedure F27;
         pragma Import (Ada, F27, "gnat__debug_pools__finalize_body");
      begin
         E299 := E299 - 1;
         if E299 = 0 then
            F27;
         end if;
      end;
      declare
         procedure F28;
         pragma Import (Ada, F28, "gnat__debug_pools__finalize_spec");
      begin
         if E299 = 0 then
            F28;
         end if;
      end;
      E085 := E085 - 1;
      declare
         procedure F29;
         pragma Import (Ada, F29, "ada__strings__unbounded__finalize_spec");
      begin
         if E085 = 0 then
            F29;
         end if;
      end;
      E168 := E168 - 1;
      declare
         procedure F30;
         pragma Import (Ada, F30, "ada__text_io__finalize_spec");
      begin
         if E168 = 0 then
            F30;
         end if;
      end;
      E202 := E202 - 1;
      declare
         procedure F31;
         pragma Import (Ada, F31, "system__storage_pools__subpools__finalize_spec");
      begin
         if E202 = 0 then
            F31;
         end if;
      end;
      E154 := E154 - 1;
      declare
         procedure F32;
         pragma Import (Ada, F32, "system__finalization_masters__finalize_spec");
      begin
         if E154 = 0 then
            F32;
         end if;
      end;
      declare
         procedure F33;
         pragma Import (Ada, F33, "system__file_io__finalize_body");
      begin
         E172 := E172 - 1;
         if E172 = 0 then
            F33;
         end if;
      end;
      declare
         procedure Reraise_Library_Exception_If_Any;
            pragma Import (Ada, Reraise_Library_Exception_If_Any, "__gnat_reraise_library_exception_if_any");
      begin
         Reraise_Library_Exception_If_Any;
      end;
   end finalize_library;

   procedure gnatcoll_sqlitefinal is

      procedure Runtime_Finalize;
      pragma Import (C, Runtime_Finalize, "__gnat_runtime_finalize");

   begin
      if not Is_Elaborated then
         return;
      end if;
      Is_Elaborated := False;
      Runtime_Finalize;
      finalize_library;
   end gnatcoll_sqlitefinal;

   type No_Param_Proc is access procedure;
   pragma Favor_Top_Level (No_Param_Proc);

   procedure gnatcoll_sqliteinit is
      Main_Priority : Integer;
      pragma Import (C, Main_Priority, "__gl_main_priority");
      Time_Slice_Value : Integer;
      pragma Import (C, Time_Slice_Value, "__gl_time_slice_val");
      WC_Encoding : Character;
      pragma Import (C, WC_Encoding, "__gl_wc_encoding");
      Locking_Policy : Character;
      pragma Import (C, Locking_Policy, "__gl_locking_policy");
      Queuing_Policy : Character;
      pragma Import (C, Queuing_Policy, "__gl_queuing_policy");
      Task_Dispatching_Policy : Character;
      pragma Import (C, Task_Dispatching_Policy, "__gl_task_dispatching_policy");
      Priority_Specific_Dispatching : System.Address;
      pragma Import (C, Priority_Specific_Dispatching, "__gl_priority_specific_dispatching");
      Num_Specific_Dispatching : Integer;
      pragma Import (C, Num_Specific_Dispatching, "__gl_num_specific_dispatching");
      Main_CPU : Integer;
      pragma Import (C, Main_CPU, "__gl_main_cpu");
      Interrupt_States : System.Address;
      pragma Import (C, Interrupt_States, "__gl_interrupt_states");
      Num_Interrupt_States : Integer;
      pragma Import (C, Num_Interrupt_States, "__gl_num_interrupt_states");
      Unreserve_All_Interrupts : Integer;
      pragma Import (C, Unreserve_All_Interrupts, "__gl_unreserve_all_interrupts");
      Detect_Blocking : Integer;
      pragma Import (C, Detect_Blocking, "__gl_detect_blocking");
      Default_Stack_Size : Integer;
      pragma Import (C, Default_Stack_Size, "__gl_default_stack_size");
      Default_Secondary_Stack_Size : System.Parameters.Size_Type;
      pragma Import (C, Default_Secondary_Stack_Size, "__gnat_default_ss_size");
      Bind_Env_Addr : System.Address;
      pragma Import (C, Bind_Env_Addr, "__gl_bind_env_addr");

      procedure Runtime_Initialize (Install_Handler : Integer);
      pragma Import (C, Runtime_Initialize, "__gnat_runtime_initialize");

      Finalize_Library_Objects : No_Param_Proc;
      pragma Import (C, Finalize_Library_Objects, "__gnat_finalize_library_objects");
      Binder_Sec_Stacks_Count : Natural;
      pragma Import (Ada, Binder_Sec_Stacks_Count, "__gnat_binder_ss_count");
      Default_Sized_SS_Pool : System.Address;
      pragma Import (Ada, Default_Sized_SS_Pool, "__gnat_default_ss_pool");

   begin
      if Is_Elaborated then
         return;
      end if;
      Is_Elaborated := True;
      Main_Priority := -1;
      Time_Slice_Value := -1;
      WC_Encoding := 'b';
      Locking_Policy := ' ';
      Queuing_Policy := ' ';
      Task_Dispatching_Policy := ' ';
      System.Restrictions.Run_Time_Restrictions :=
        (Set =>
          (False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, True, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False),
         Value => (0, 0, 0, 0, 0, 0, 0, 0, 0, 0),
         Violated =>
          (False, False, False, False, True, True, False, False, 
           True, False, False, True, True, True, True, False, 
           False, False, True, False, False, True, True, False, 
           True, True, False, True, True, True, True, False, 
           True, False, False, False, True, False, False, True, 
           False, True, False, True, True, False, True, False, 
           True, False, False, False, True, False, True, False, 
           True, False, False, False, False, False, False, True, 
           True, True, False, False, True, False, True, True, 
           True, False, True, True, False, True, True, True, 
           True, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, True, False),
         Count => (0, 0, 0, 0, 0, 0, 0, 0, 1, 0),
         Unknown => (False, False, False, False, False, False, False, False, True, False));
      Priority_Specific_Dispatching :=
        Local_Priority_Specific_Dispatching'Address;
      Num_Specific_Dispatching := 0;
      Main_CPU := -1;
      Interrupt_States := Local_Interrupt_States'Address;
      Num_Interrupt_States := 0;
      Unreserve_All_Interrupts := 0;
      Detect_Blocking := 0;
      Default_Stack_Size := -1;

      gnatcoll_sqlitemain'Elab_Body;
      Default_Secondary_Stack_Size := System.Parameters.Runtime_Default_Sec_Stack_Size;
      Binder_Sec_Stacks_Count := 1;
      Default_Sized_SS_Pool := Sec_Default_Sized_Stacks'Address;

      Runtime_Initialize (1);

      if E023 = 0 then
         Ada.Exceptions'Elab_Spec;
      end if;
      if E019 = 0 then
         System.Soft_Links'Elab_Spec;
      end if;
      if E017 = 0 then
         System.Exception_Table'Elab_Body;
      end if;
      E017 := E017 + 1;
      if E027 = 0 then
         System.Exceptions'Elab_Spec;
      end if;
      E027 := E027 + 1;
      if E057 = 0 then
         System.Soft_Links.Initialize'Elab_Body;
      end if;
      E057 := E057 + 1;
      E019 := E019 + 1;
      E023 := E023 + 1;
      if E135 = 0 then
         Ada.Containers'Elab_Spec;
      end if;
      E135 := E135 + 1;
      if E068 = 0 then
         Ada.Io_Exceptions'Elab_Spec;
      end if;
      E068 := E068 + 1;
      if E324 = 0 then
         Ada.Numerics'Elab_Spec;
      end if;
      E324 := E324 + 1;
      if E014 = 0 then
         Ada.Strings'Elab_Spec;
      end if;
      E014 := E014 + 1;
      if E088 = 0 then
         Ada.Strings.Utf_Encoding'Elab_Spec;
      end if;
      E088 := E088 + 1;
      if E113 = 0 then
         Gnat'Elab_Spec;
      end if;
      E113 := E113 + 1;
      if E117 = 0 then
         Interfaces.C'Elab_Spec;
      end if;
      E117 := E117 + 1;
      if E187 = 0 then
         Interfaces.C.Strings'Elab_Spec;
      end if;
      E187 := E187 + 1;
      if E174 = 0 then
         System.Os_Lib'Elab_Body;
      end if;
      E174 := E174 + 1;
      if E244 = 0 then
         System.Task_Info'Elab_Spec;
      end if;
      E244 := E244 + 1;
      if E070 = 0 then
         Ada.Tags'Elab_Spec;
      end if;
      if E070 = 0 then
         Ada.Tags'Elab_Body;
      end if;
      E070 := E070 + 1;
      if E067 = 0 then
         Ada.Streams'Elab_Spec;
      end if;
      E067 := E067 + 1;
      if E086 = 0 then
         Ada.Strings.Text_Output'Elab_Spec;
      end if;
      E086 := E086 + 1;
      if E175 = 0 then
         System.File_Control_Block'Elab_Spec;
      end if;
      E175 := E175 + 1;
      if E101 = 0 then
         System.Finalization_Root'Elab_Spec;
      end if;
      E101 := E101 + 1;
      if E099 = 0 then
         Ada.Finalization'Elab_Spec;
      end if;
      E099 := E099 + 1;
      if E172 = 0 then
         System.File_Io'Elab_Body;
      end if;
      E172 := E172 + 1;
      if E152 = 0 then
         System.Storage_Pools'Elab_Spec;
      end if;
      E152 := E152 + 1;
      if E154 = 0 then
         System.Finalization_Masters'Elab_Spec;
      end if;
      if E154 = 0 then
         System.Finalization_Masters'Elab_Body;
      end if;
      E154 := E154 + 1;
      if E202 = 0 then
         System.Storage_Pools.Subpools'Elab_Spec;
      end if;
      E202 := E202 + 1;
      if E120 = 0 then
         Ada.Calendar'Elab_Spec;
      end if;
      if E120 = 0 then
         Ada.Calendar'Elab_Body;
      end if;
      E120 := E120 + 1;
      if E210 = 0 then
         Ada.Calendar.Delays'Elab_Body;
      end if;
      E210 := E210 + 1;
      if E126 = 0 then
         Ada.Calendar.Time_Zones'Elab_Spec;
      end if;
      E126 := E126 + 1;
      if E168 = 0 then
         Ada.Text_Io'Elab_Spec;
      end if;
      if E168 = 0 then
         Ada.Text_Io'Elab_Body;
      end if;
      E168 := E168 + 1;
      if E115 = 0 then
         Gnat.Calendar'Elab_Spec;
      end if;
      E115 := E115 + 1;
      if E318 = 0 then
         System.Assertions'Elab_Spec;
      end if;
      E318 := E318 + 1;
      if E061 = 0 then
         Ada.Strings.Maps'Elab_Spec;
      end if;
      E061 := E061 + 1;
      if E065 = 0 then
         Ada.Strings.Maps.Constants'Elab_Spec;
      end if;
      E065 := E065 + 1;
      if E085 = 0 then
         Ada.Strings.Unbounded'Elab_Spec;
      end if;
      E085 := E085 + 1;
      if E197 = 0 then
         System.Regpat'Elab_Spec;
      end if;
      E197 := E197 + 1;
      if E238 = 0 then
         System.Task_Primitives.Operations'Elab_Body;
      end if;
      E238 := E238 + 1;
      if E166 = 0 then
         Gnat.Calendar.Time_Io'Elab_Spec;
      end if;
      E166 := E166 + 1;
      if E335 = 0 then
         Gnat.Directory_Operations'Elab_Spec;
      end if;
      if E335 = 0 then
         Gnat.Directory_Operations'Elab_Body;
      end if;
      E335 := E335 + 1;
      if E308 = 0 then
         System.Checked_Pools'Elab_Spec;
      end if;
      E308 := E308 + 1;
      if E299 = 0 then
         Gnat.Debug_Pools'Elab_Spec;
      end if;
      if E299 = 0 then
         Gnat.Debug_Pools'Elab_Body;
      end if;
      E299 := E299 + 1;
      if E160 = 0 then
         System.Pool_Global'Elab_Spec;
      end if;
      E160 := E160 + 1;
      if E192 = 0 then
         Gnat.Expect'Elab_Spec;
      end if;
      E192 := E192 + 1;
      if E150 = 0 then
         System.Pool_Size'Elab_Spec;
      end if;
      E150 := E150 + 1;
      if E359 = 0 then
         System.Random_Seed'Elab_Body;
      end if;
      E359 := E359 + 1;
      if E346 = 0 then
         System.Regexp'Elab_Spec;
      end if;
      E346 := E346 + 1;
      if E339 = 0 then
         Ada.Directories'Elab_Spec;
      end if;
      if E339 = 0 then
         Ada.Directories'Elab_Body;
      end if;
      E339 := E339 + 1;
      if E260 = 0 then
         System.Tasking.Initialization'Elab_Body;
      end if;
      E260 := E260 + 1;
      if E270 = 0 then
         System.Tasking.Protected_Objects'Elab_Body;
      end if;
      E270 := E270 + 1;
      if E272 = 0 then
         System.Tasking.Protected_Objects.Entries'Elab_Spec;
      end if;
      E272 := E272 + 1;
      if E268 = 0 then
         System.Tasking.Queuing'Elab_Body;
      end if;
      E268 := E268 + 1;
      E140 := E140 + 1;
      if E297 = 0 then
         GNATCOLL.MEMORY'ELAB_BODY;
      end if;
      E297 := E297 + 1;
      E228 := E228 + 1;
      E144 := E144 + 1;
      if E142 = 0 then
         GNATCOLL.REFCOUNT'ELAB_SPEC;
      end if;
      E142 := E142 + 1;
      E190 := E190 + 1;
      E291 := E291 + 1;
      if E289 = 0 then
         GNATCOLL.STRINGS'ELAB_SPEC;
      end if;
      if E289 = 0 then
         GNATCOLL.STRINGS'ELAB_BODY;
      end if;
      E289 := E289 + 1;
      if E310 = 0 then
         GNATCOLL.MMAP'ELAB_SPEC;
      end if;
      E312 := E312 + 1;
      E310 := E310 + 1;
      if E314 = 0 then
         GNATCOLL.TEMPLATES'ELAB_SPEC;
      end if;
      E314 := E314 + 1;
      if E316 = 0 then
         GNATCOLL.TERMINAL'ELAB_SPEC;
      end if;
      if E316 = 0 then
         GNATCOLL.TERMINAL'ELAB_BODY;
      end if;
      E316 := E316 + 1;
      E181 := E181 + 1;
      if E162 = 0 then
         GNATCOLL.SQL_IMPL'ELAB_SPEC;
      end if;
      if E162 = 0 then
         GNATCOLL.SQL_IMPL'ELAB_BODY;
      end if;
      E162 := E162 + 1;
      if E134 = 0 then
         GNATCOLL.SQL'ELAB_SPEC;
      end if;
      if E134 = 0 then
         GNATCOLL.SQL'ELAB_BODY;
      end if;
      E134 := E134 + 1;
      if E330 = 0 then
         GNATCOLL.IO'ELAB_SPEC;
      end if;
      if E330 = 0 then
         GNATCOLL.IO'ELAB_BODY;
      end if;
      E330 := E330 + 1;
      if E348 = 0 then
         GNATCOLL.PATH'ELAB_SPEC;
      end if;
      if E348 = 0 then
         GNATCOLL.PATH'ELAB_BODY;
      end if;
      E348 := E348 + 1;
      if E337 = 0 then
         GNATCOLL.IO.NATIVE'ELAB_SPEC;
      end if;
      if E337 = 0 then
         GNATCOLL.IO.NATIVE'ELAB_BODY;
      end if;
      E337 := E337 + 1;
      if E351 = 0 then
         GNATCOLL.REMOTE'ELAB_SPEC;
      end if;
      E351 := E351 + 1;
      if E355 = 0 then
         GNATCOLL.REMOTE.DB'ELAB_SPEC;
      end if;
      E355 := E355 + 1;
      if E333 = 0 then
         GNATCOLL.IO.REMOTE'ELAB_SPEC;
      end if;
      E350 := E350 + 1;
      E353 := E353 + 1;
      if E333 = 0 then
         GNATCOLL.IO.REMOTE'ELAB_BODY;
      end if;
      E333 := E333 + 1;
      if E323 = 0 then
         GNATCOLL.VFS'ELAB_SPEC;
      end if;
      if E323 = 0 then
         GNATCOLL.VFS'ELAB_BODY;
      end if;
      E323 := E323 + 1;
      if E293 = 0 then
         GNATCOLL.TRACES'ELAB_SPEC;
      end if;
      if E293 = 0 then
         GNATCOLL.TRACES'ELAB_BODY;
      end if;
      E293 := E293 + 1;
      if E224 = 0 then
         GNATCOLL.SQL.EXEC'ELAB_SPEC;
      end if;
      if E276 = 0 then
         GNATCOLL.SQL.EXEC_PRIVATE'ELAB_SPEC;
      end if;
      if E276 = 0 then
         GNATCOLL.SQL.EXEC_PRIVATE'ELAB_BODY;
      end if;
      E276 := E276 + 1;
      if E224 = 0 then
         GNATCOLL.SQL.EXEC'ELAB_BODY;
      end if;
      E224 := E224 + 1;
      if E230 = 0 then
         GNATCOLL.SQL.EXEC.TASKING'ELAB_BODY;
      end if;
      E230 := E230 + 1;
      if E006 = 0 then
         GNATCOLL.SQL.SQLITE'ELAB_SPEC;
      end if;
      if E006 = 0 then
         GNATCOLL.SQL.SQLITE'ELAB_BODY;
      end if;
      E006 := E006 + 1;
      if E004 = 0 then
         GNATCOLL.SQL.SQLITE.GNADE'ELAB_SPEC;
      end if;
      if E004 = 0 then
         GNATCOLL.SQL.SQLITE.GNADE'ELAB_BODY;
      end if;
      E004 := E004 + 1;
      if E002 = 0 then
         GNATCOLL.SQL.SQLITE.BUILDER'ELAB_BODY;
      end if;
      E002 := E002 + 1;
   end gnatcoll_sqliteinit;

--  BEGIN Object file/option list
   --   /builddir/build/BUILD/gnatcoll-db-21.0.0/sqlite/obj/relocatable/gnatcoll-sql-sqlite.o
   --   /builddir/build/BUILD/gnatcoll-db-21.0.0/sqlite/obj/relocatable/gnatcoll-sql-sqlite-gnade.o
   --   /builddir/build/BUILD/gnatcoll-db-21.0.0/sqlite/obj/relocatable/gnatcoll-sql-sqlite-builder.o
   --   -L/builddir/build/BUILD/gnatcoll-db-21.0.0/sqlite/obj/relocatable/
   --   -L/builddir/build/BUILD/gnatcoll-db-21.0.0/stage/usr/lib64/gnatcoll_sql/
   --   -L/usr/lib64/gpr/relocatable/gpr/
   --   -L/usr/lib64/xmlada/
   --   -L/usr/lib64/gnatcoll/
   --   -L/usr/lib/gcc/aarch64-redhat-linux/11/adalib/
   --   -static
   --   -lgnarl
   --   -lgnat
   --   -lrt
   --   -lpthread
--  END Object file/option list   

end gnatcoll_sqlitemain;
